package com.miya.draw.config.cros;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 配置测试环境跨域
 */
@Configuration
public class CorsConfig implements WebMvcConfigurer {

    /**
     * 根据配置文件来判断是否开启跨域访问
     **/
    @Value("${custom.flag}")
    private boolean flag;

    @Value("${custom.allow.origins}")
    private String allowOrigins;

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        if (flag) {
            registry.addMapping("/**")
                    .allowedOrigins(allowOrigins)
                    .allowedMethods("GET", "POST", "OPTIONS")
                    .allowCredentials(true)
                    .maxAge(3600)
                    .allowedHeaders("*");
        }
    }

}