package com.miya.draw.config.exception;

import com.miya.draw.enums.ErrorEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author jack
 * @since 2020/2/29 18:48
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BusinessException extends RuntimeException {

    /**
     *  异常码枚举信息
     */
    private ErrorEnum errorEnum;

    /**
     * 自定义message
     * @param errorEnum
     * @param message
     */
    public BusinessException(ErrorEnum errorEnum, String message) {
        super(message);
        this.errorEnum = errorEnum;
    }

    /**
     * 使用ErrorEnum的message
     * @param errorEnum 自定义枚举类型
     */
    public BusinessException(ErrorEnum errorEnum) {
        super(errorEnum.getMessage());
        this.errorEnum = errorEnum;
    }

    /**
     * 异常构造函数
     *
     * @param errorEnum 错误码
     * @param message   异常信息
     * @param e         异常堆栈
     */
    public BusinessException(ErrorEnum errorEnum, String message, Throwable e) {
        super(message, e);
        this.errorEnum = errorEnum;
    }
}