package com.miya.draw.config.redis;

import lombok.Data;
import org.redisson.Redisson;
import org.redisson.api.RedissonClient;
import org.redisson.config.Config;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
@ConfigurationProperties(prefix = "spring.redis")
public class RedissonConfig {

    private String host;

    private String port;

    private String password;


    @Bean
    public RedissonClient redissonClient() {
        Config config = new Config();
        int database = 3;
        config.useSingleServer().setAddress("redis://" + host + ":" + port).setPassword(password)
                .setDatabase(database).setTimeout(5000);
        return Redisson.create(config);
    }
}