package com.miya.draw.config.xxl;

import com.xxl.job.core.executor.impl.XxlJobSpringExecutor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;

import javax.annotation.Resource;
import java.util.Arrays;

/**
 * xxljob配置
 *
 * @author jack
 */
@Slf4j
@Configuration
public class XxlJobConfig {

    /**
     * 默认环境
     */
    private static final String DEFAULT = "default";

    @Resource
    private XXlJobConfigProperty xxlJobConfigProperty;

    @Resource
    private Environment environment;

    @Bean(initMethod = "start", destroyMethod = "destroy")
    public XxlJobSpringExecutor xxlJobExecutor() {
        log.info(">>>>>>>>>>> xxl-job config init.");
        if (environment.getActiveProfiles().length <= 0 ||
                Arrays.stream(environment.getActiveProfiles()).allMatch(x -> x.equals(DEFAULT))) {
            return null;
        }
        XxlJobSpringExecutor xxlJobSpringExecutor = new XxlJobSpringExecutor();
        xxlJobSpringExecutor.setAdminAddresses(xxlJobConfigProperty.getAdmin().getAddresses());
        xxlJobSpringExecutor.setAppName(xxlJobConfigProperty.getExecutor().getAppname());
        xxlJobSpringExecutor.setIp(xxlJobConfigProperty.getExecutor().getIp());
        xxlJobSpringExecutor.setPort(xxlJobConfigProperty.getExecutor().getPort());

        return xxlJobSpringExecutor;
    }


}
