package com.miya.draw.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author jack
 * @since 2021-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SyncTrade对象", description="")
public class SyncTrade implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "十足同步表的主键")
    private Long billNo;

    @ApiModelProperty(value = "交易ID")
    private String tradeIdId;

    @ApiModelProperty(value = "交易uuid")
    private String uuid;

    @ApiModelProperty(value = "交易类型 sale和refund")
    private String type;

    @ApiModelProperty(value = "pos号")
    private String posNo;

    @ApiModelProperty(value = "会员关联手机号")
    private String phone;

    @ApiModelProperty(value = "会员号")
    private String memberId;

    @ApiModelProperty(value = "交易号")
    private String tradeNo;

    @ApiModelProperty(value = "门店id")
    private String storeId;

    @ApiModelProperty(value = "门店名称")
    private String storeName;

    @ApiModelProperty(value = "交易时间")
    private LocalDateTime tranTime;

    @ApiModelProperty(value = "商品代码")
    private String code;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "商品条码")
    private String barcode;

    @ApiModelProperty(value = "商品价格")
    private BigDecimal price;

    @ApiModelProperty(value = "购买数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "原总金额")
    private BigDecimal stdAmount;

    @ApiModelProperty(value = "优惠金额")
    private BigDecimal favAmount;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
