package com.miya.draw.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author jack
 * @since 2021-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="Trade对象", description="")
public class Trade implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "billno", type = IdType.AUTO)
    private Integer billno;

    @ApiModelProperty(value = "交易ID")
    @TableField("tradeIdId")
    private String tradeidid;

    @ApiModelProperty(value = "流水id")
    private String uuid;

    @ApiModelProperty(value = "门店号")
    @TableField("storeId")
    private String storeid;

    @ApiModelProperty(value = "门店名称")
    @TableField("storeName")
    private String storename;

    @ApiModelProperty(value = "小票号")
    @TableField("tradeNo")
    private String tradeno;

    @ApiModelProperty(value = "POS机号")
    @TableField("posNo")
    private String posno;

    @ApiModelProperty(value = "交易类型")
    private String type;

    @ApiModelProperty(value = "交易时间")
    @TableField("tranTime")
    private LocalDateTime trantime;

    @ApiModelProperty(value = "货号")
    private String code;

    @ApiModelProperty(value = "条码")
    private String barcode;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "品牌")
    @TableField("brandCode")
    private String brandcode;

    @ApiModelProperty(value = "类别")
    @TableField("categoryCode")
    private String categorycode;

    @ApiModelProperty(value = "包装规格")
    @TableField("qpcStr")
    private String qpcstr;

    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @ApiModelProperty(value = "数量")
    private Integer qty;

    @ApiModelProperty(value = "原总金额")
    @TableField("stdAmount")
    private BigDecimal stdamount;

    @ApiModelProperty(value = "优惠金额")
    @TableField("favAmount")
    private BigDecimal favamount;

    @ApiModelProperty(value = "会员id")
    @TableField("memberId")
    private String memberid;

    @ApiModelProperty(value = "手机号")
    @TableField("identityId")
    private String identityid;

    @ApiModelProperty(value = "插入时间")
    private LocalDateTime sendtime;

    @ApiModelProperty(value = "更新状态")
    private String status;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updatetime;


}
