/*
 * Miya.com Inc.
 * Copyright (c) 2004-2018 All Rights Reserved.
 */
package com.miya.draw.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 错误异常枚举类
 *
 * @author 15293
 */
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
public enum ErrorEnum {

    /**
     * 未知异常
     */
    UNKNOWN_EXP("000", "未知异常", "不可预知的异常"),

    /**
     * 系统异常
     */
    SYSTEM_EXP("001", "系统异常", "数据库层错误，网络层错误等属于系统本身的异常"),

    /**
     * HTTP
     */
    HTTP_REQ_EXP("002", "HTTP_REQ_EXP", "http调用异常"),

    /**
     * 重试一定次数后没有成功抛出此异常
     */
    RETRY_EXP("003", "RETRY_EXP", "重试失败"),

    /**
     * 参数效验异常
     */
    PARAM_CHECK_EXP("004", "PARAM_CHECK_EXP", "参数效验异常"),

    /**
     * 抽奖错误
     */
    DRAW_CHECK_EXP("005", "DRAW_CHECK_EXP", "抽奖异常"),

    /**
     * 接口已限流
     */
    SENTINEL_FLOW_EXCEPTION("1000", "接口已限流", "接口已限流"),
    /**
     * 接口已降级
     */
    SENTINEL_DEGRADE_EXCEPTION("1001", "接口已降级", "接口已降级"),
    /**
     * 接口已热点限流
     */
    SENTINEL_PARAM_FLOW_EXCEPTION("1002", "接口已热点限流", "接口已热点限流"),
    /**
     * 接口被系统规则限制 接口被系统规则限制
     */
    SENTINEL_SYSTEM_EXCEPTION("1003", "接口被系统规则限制", "接口被系统规则限制"),

    /**
     * 授权规则不通过
     */
    SENTINEL_AUTHORITY_EXCEPTION("1004", "授权规则不通过", "授权规则不通过"),

    /**
     * 未知限流异常
     */

    SENTINEL_UNKNOWN_EXCEPTION("1005", "未知限流异常", "未知限流异常"),

    ;

    private final String code;

    private final String message;

    private final String description;
}