package com.miya.draw.manager;

import com.miya.draw.model.DrawModel;
import com.miya.draw.request.DrawUserInfoGainRequest;
import com.miya.draw.request.MinePrizeGainRequest;
import com.miya.draw.request.PrizeDrawListRequest;

import java.util.List;

/**
 * Manager
 */
public interface IDrawManager {

    /**
     * 获得活动有关的用户信息
     *
     * @param request request
     * @return DrawModel
     */
    DrawModel gainActivityUserInfo(DrawUserInfoGainRequest request);

    /**
     * 获得我的奖品列表
     *
     * @param phone
     * @return
     */
    List<DrawModel> listMinePrizeList(MinePrizeGainRequest request);

    /**
     * 修改我的奖品的地址信息
     *
     * @param phone
     * @param myPrizeId
     * @param consigneeName
     * @param consigneePhone
     * @param consigneeAddress
     * @param consigneeIdcard
     */
    void updateMinePrizeAddress(String phone, Long myPrizeId, String consigneeName, String consigneePhone, String consigneeAddress, String consigneeIdcard);

    /**
     * 用户点击抽奖
     *
     * @param phone
     * @return
     */
    DrawModel drawClick(String phone, Long activityId) throws InterruptedException;

    /**
     * 获得所有的中奖信息
     * @param request
     * @return
     */
    List<DrawModel> listAllWinningInfo(PrizeDrawListRequest request);
}
