package com.miya.draw.mapper;

import com.miya.draw.entity.Prize;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jack
 * @since 2021-05-08
 */
public interface PrizeMapper extends BaseMapper<Prize> {

    /**
     * 乐观锁更新奖品数量
     *
     * @param prizeId 奖品id
     * @param num     数量
     * @return
     */
    @Update("update prize set prize_num=prize_num-#{num} where id=#{id} and prize_num-#{num}>=0")
    Integer updatePrizeNum(@Param("id") Long prizeId, @Param("num") int num);
}
