package com.miya.draw.mapper;

import com.miya.draw.entity.Winner;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jack
 * @since 2021-05-10
 */
public interface WinnerMapper extends BaseMapper<Winner> {

    @Select("<script>"
            + "INSERT INTO winner(account_name, account_phone, prize_id, prize_type, prize_name, consignee_name, consignee_phone, consignee_address, consignee_idcard, sync_id) VALUES "
            + "<foreach item='item' collection='list' separator=',' >"
            + "(#{item.accountName},#{item.accountPhone},#{item.prizeId},#{item.prizeType},#{item.prizeName},#{item.consigneeName},#{item.consigneePhone},#{item.consigneeAddress},#{item.consigneeIdcard},#{item.syncId})"
            + "</foreach>"
            + " ON DUPLICATE KEY UPDATE "
            + "consignee_name = VALUES(consignee_name), consignee_phone = VALUES(consignee_phone),consignee_address=VALUES(consignee_address),consignee_idcard=VALUES(consignee_idcard) "
            + "</script>")
    Integer saveOrUpdateBatchByDulpKe(@Param("list") List<Winner> winnerList);
}
