package com.miya.draw.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 抽奖模型
 *
 * @author jack
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrawModel {

    private Long id;

    /**
     * 每日最大抽奖次数
     **/
    private Integer maxDrawCountLimit;

    /**
     * 今日购买的商品总额 分
     **/
    private Long purchasedAmount;

    /**
     * 今日可抽奖次数
     **/
    private Integer drawCountTotal;

    /**
     * 今日已抽奖次数
     **/
    private Integer alreadyDrawCount;

    /**
     * 继续购买多少钱商品 分
     **/
    private Long taxAmountCache;

    /**
     * 继续花money可获得抽奖次数
     **/
    private Integer numOfDrawCount;


    /**
     * 中奖id
     **/
    private Long myPrizeId;

    /**
     * 奖品名称
     **/
    private String prizeName;

    /**
     * 奖品类型 1实物 2虚拟 3未中奖
     **/
    private Integer prizeType;

    /**
     * 收件人姓名
     **/
    private String consigneeName;

    /**
     * 收件人手机
     **/
    private String consigneePhone;

    /**
     * 收件人地址
     **/
    private String consigneeAddress;

    /**
     * 创建时间
     **/
    private LocalDateTime createTime;

    /**
     * 奖品图片
     **/
    private String prizeImg;

    /**
     * 奖品描述
     **/
    private String prizeDesc;

    /**
     * 虚拟券id
     **/
    private String couponId;

    /**
     * 奖品数量
     **/
    private Integer prizeNum;

    /**
     * 奖品概率(百万分之一)
     **/
    private BigDecimal prizeOdds;

    /**
     * 活动id
     **/
    private Long activityId;

    /**
     * 是否有效 0无效 1有效
     **/
    private Integer validStatus;


    /**
     * 更新时间
     **/
    private LocalDateTime updateTime;


    /**
     * 用户名称
     **/
    private String accountName;

    /**
     * 参加活动的人数
     **/
    private Integer numOfJoinActivityPeople;

}
