package com.miya.draw.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 用户点击抽奖请求模型
 *
 * @author jack
 */
@Data
@ApiModel(value = "抽奖请求模型")
@EqualsAndHashCode(callSuper = true)
public class DrawClickRequest extends BaseRequest {

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号")
    private String phone;

    @NotNull(message = "活动Id不能为空")
    @ApiModelProperty(value = "手机号", required = true)
    private Long activityId;
}
