package com.miya.draw.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 获取抽奖用户信息请求模型
 *
 * @author jack
 */
@ApiModel(value = "获得抽奖获取信息请求模型")
@Data
@EqualsAndHashCode(callSuper = true)
public class DrawUserInfoGainRequest extends BaseRequest {

    @NotNull(message = "活动Id不能为空")
    @ApiModelProperty(value = "手机号", required = true)
    private Long activityId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号", required = true)
    private String phone;

    @NotBlank(message = "token不能为空")
    @ApiModelProperty(value = "token", required = true)
    private String token;
}
