package com.miya.draw.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 获得我的奖品
 *
 * @author jack
 */
@ApiModel(value = "查看我的奖品请求模型")
@EqualsAndHashCode(callSuper = true)
@Data
public class MinePrizeGainRequest extends BaseRequest {

    @NotNull(message = "活动Id不能为空")
    @ApiModelProperty(value = "手机号", required = true)
    private Long activityId;

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号", required = true)
    private String phone;

}
