package com.miya.draw.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 奖品地址修改请求模型
 *
 * @author jack
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "奖品地址修改请求模型")
public class PrizeAddressModifyRequest extends BaseRequest {

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号", required = true)
    private String phone;

    @NotNull(message = "奖品不能为空")
    @ApiModelProperty(value = "返回的我的中奖id", required = true)
    private Long myPrizeId;

    @NotBlank(message = "收件人姓名不能为空")
    @ApiModelProperty(value = "收件人姓名", required = true)
    private String consigneeName;

    @NotBlank(message = "收件人手机不能为空")
    @ApiModelProperty(value = "收件人手机", required = true)
    private String consigneePhone;

    @NotBlank(message = "收件人地址不能为空")
    @ApiModelProperty(value = "收件人地址", required = true)
    private String consigneeAddress;

    @NotBlank(message = "收件人身份证号不能为空")
    @ApiModelProperty(value = "收件人身份证号", required = true)
    private String consigneeIdcard;
}
