package com.miya.draw.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * 获得抽奖用户信息响应模型
 *
 * @author jack
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "抽奖用户响应模型")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrawUserInfoGainResponse extends BaseResponse {

    @ApiModelProperty(value = "每日最大抽奖次数")
    private Integer maxDrawCountLimit;

    @ApiModelProperty(value = "今日购买的商品总额 分")
    private Long purchasedAmount;

    @ApiModelProperty(value = "今日可抽奖次数")
    private Integer drawCountTotal;

    @ApiModelProperty(value = "今日已抽奖次数")
    private Integer alreadyDrawCount;

    @ApiModelProperty(value = "继续购买多少钱商品 分")
    private Long taxAmountCache;

    @ApiModelProperty(value = "可获得抽奖次数")
    private Integer numOfDrawCount;

    @ApiModelProperty(value = "参加活动的人数")
    private Integer numOfJoinActivityPeople;
}
