package com.miya.draw.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 我的奖品响应模型
 *
 * @author Administrator
 */
@ApiModel(value = "查看我的奖品响应模型")
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MinePrizeGainResponse extends BaseResponse {

    @ApiModelProperty(value = "中奖id")
    private Long myPrizeId;

    @ApiModelProperty(value = "奖品名称")
    private String prizeName;

    @ApiModelProperty(value = "奖品类型 1实物 2虚拟 3未中奖")
    private Integer prizeType;

    @ApiModelProperty(value = "收件人姓名")
    private String consigneeName;

    @ApiModelProperty(value = "收件人手机")
    private String consigneePhone;

    @ApiModelProperty(value = "收件人地址")
    private String consigneeAddress;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
}