package com.miya.draw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miya.draw.entity.AccountPrize;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ：djf
 * @date ：2022-11-10
 * @description：
 */
public interface IAccountPrizeService extends IService<AccountPrize> {


    /**
     * 获得用户的抽奖次数
     *
     * @param phone 手机号
     * @param start 开始时间
     * @param end   结束时间
     * @return 已抽奖次数
     */
    Integer gainAlreadyDrawCount(String phone, Long activityId, LocalDateTime start, LocalDateTime end);

    /**
     * 获取用户手机号抽中指定奖品的次数
     * @param phone
     * @param activityId
     * @param prizeIds
     * @return
     */
    List<AccountPrize> gainAlreadyDrawCountByPrize(String phone,Long activityId,List<Long> prizeIds);

    /**
     * 获得我的奖品列表
     *
     * @param phone
     * @return
     */
    List<AccountPrize> listMinePrize(String phone, Long activityId);

    /**
     * 获得所有的中奖信息
     *
     * @param size
     * @return
     */
    List<AccountPrize> listAllWinningInfo(Integer size,Long activityId);

    /**
     * 计算活动参与人
     *
     * @return
     */
    Integer countJoinActivityPeople(Long activityId);
}
