package com.miya.draw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.miya.draw.entity.Account;
import com.miya.draw.mapper.AccountMapper;
import com.miya.draw.service.IAccountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.Objects;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author jack
 * @since 2021-05-05
 */
@Service
public class AccountServiceImpl extends ServiceImpl<AccountMapper, Account> implements IAccountService {

    @Resource
    private AccountMapper accountMapper;

    @Override
    public Integer saveOrUpdateNotById(Account account) {
        LambdaQueryWrapper<Account> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Account::getPhone, account.getPhone());
        Account searchAccount = accountMapper.selectOne(wrapper);
        if (Objects.isNull(searchAccount)) {
            return accountMapper.insert(account);
        } else {
            account.setUpdateTime(LocalDateTime.now());
            return accountMapper.update(account, wrapper);
        }
    }
}
