package com.miya.draw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miya.draw.entity.Prize;
import com.miya.draw.enums.YesOrNoEnum;
import com.miya.draw.mapper.PrizeMapper;
import com.miya.draw.service.IPrizeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author jack
 * @since 2021-05-05
 */
@Service
@Slf4j
public class PrizeServiceImpl extends ServiceImpl<PrizeMapper, Prize> implements IPrizeService {

    @Resource
    private PrizeMapper prizeMapper;



    @Override
    public List<Prize> listAllPrizes(Long activityId) {
        List<Prize> prizeList;
        LambdaQueryWrapper<Prize> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Prize::getValidStatus, YesOrNoEnum.YES.getCode());
        wrapper.eq(Prize::getActivityId,activityId);
        wrapper.gt(Prize::getPrizeNum, 0);
        prizeList = prizeMapper.selectList(wrapper);
        return prizeList;
    }

    @Override
    public Integer updateCount(Prize prize) {
        return prizeMapper.updatePrizeNum(prize.getId(),1);
    }

}
