/*
 * Miya.com Inc.
 * Copyright (c) 2004-2018 All Rights Reserved.
 */
package com.miya.draw.util;

import ma.glasnost.orika.MapperFactory;
import ma.glasnost.orika.converter.builtin.PassThroughConverter;
import ma.glasnost.orika.impl.DefaultMapperFactory;
import ma.glasnost.orika.metadata.ClassMapBuilder;
import org.apache.commons.collections4.CollectionUtils;

import java.time.LocalDateTime;
import java.util.Collections;
import java.util.List;

/**
 * S
 *
 * @author ${liushuangzeng}
 * @version $Id: OrikaUtil.java, v 0.1 2018年08月08日 下午8:09 ${liushuangzeng} Exp $
 */
public class OrikaUtil {

    private static MapperFactory mapperFactory = new DefaultMapperFactory.Builder().build();

    static {
        // 转换
        mapperFactory.getConverterFactory().registerConverter(new PassThroughConverter(LocalDateTime.class));
    }

    public static <A, B> ClassMapBuilder<A, B> classMap(Class<A> source, Class<B> target) {
        return mapperFactory.classMap(source, target);
    }

    public static <T> T convert(Object source, Class<T> target) {
        return mapperFactory.getMapperFacade().map(source, target);
    }

    /**
     * 集合转换
     *
     * @param objects
     * @param targetClz
     * @param <T>
     * @return
     */
    public static <T> List<T> convertList(List<?> objects, Class<T> targetClz) {
        if (CollectionUtils.isEmpty(objects)) {
            return Collections.emptyList();
        }
        return mapperFactory.getMapperFacade().mapAsList(objects.toArray(), targetClz);
    }
}