package com.miya.draw.xxljob;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.scheduling.annotation.Scheduled;

import java.util.Arrays;

/**
 * 单体job
 *
 * @author jack
 */
//@Component
public class SingleJob {

    @Autowired
    private TradeSyncJob tradeSyncJob;

    @Autowired
    private DrawResultSyncJob drawResultSyncJob;

    @Autowired
    private Environment environment;

    /**
     * 默认环境
     */
    private static final String DEFAULT = "default";

    /**
     * test环境
     */
    private static final String TEST = "test";

    @Scheduled(cron = "30 0/3 * * * ?")
    public void tradeSyncSingleJob() throws Exception {
        if (Arrays.asList(environment.getActiveProfiles()).contains(TEST)) {
            tradeSyncJob.execute(null);
        }
    }

    @Scheduled(cron = "0 0 0/1 * * ?")
    public void drawResultSyncSingleJob() throws Exception {
        if (Arrays.asList(environment.getActiveProfiles()).contains(TEST)) {
            drawResultSyncJob.execute(null);
        }
    }


}
