package com.miya.draw;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.support.ExcelTypeEnum;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

/**
 * 自定义Excel处理类
 *
 * @author jack
 * @since 2020/12/9
 */
public class EasyExcelUtil {

    /**
     * 读取 Excel
     *
     * @param excel 文件
     * @return Excel 数据 list
     */
    public static List<Object> readExcel(MultipartFile excel, Class classz) throws IOException {
        ExcelListener excelListener = new ExcelListener();
        // 这里 需要指定读用哪个class去读，然后读取第一个sheet
        EasyExcel.read(excel.getInputStream(), classz, excelListener).sheet().doRead();
        return excelListener.getList();
    }

    /**
     * 读取 Excel
     *
     * @return Excel 数据 list
     */
    public static List<Object> readExcel(InputStream inputStream, String extension, Class classz) {
        ExcelListener excelListener = new ExcelListener();
        // 这里 需要指定读用哪个class去读，然后读取第一个sheet
        EasyExcel.read(inputStream, classz, excelListener).
                // 不知道为什么流读取不到excelType
                        excelType(("." + extension).equalsIgnoreCase(ExcelTypeEnum.XLSX.getValue()) ? ExcelTypeEnum.XLSX
                        : ExcelTypeEnum.XLS).sheet().headRowNumber(1).doRead();
        return excelListener.getList();
    }

}
